aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHans Verkuil <hverkuil-cisco@xs4all.nl>2021-06-30 10:25:11 +0200
committerHans Verkuil <hverkuil-cisco@xs4all.nl>2021-06-30 10:25:11 +0200
commit6daa887669990e3c2d4c9e7a8f8e879aa3169c43 (patch)
tree6b984851222ea74ed1514dcd9fdb50dcf92edbc7
parent2843330de8eb6fef8458798c3dfc5998cdb6a6de (diff)
downloadv4l-utils-6daa887669990e3c2d4c9e7a8f8e879aa3169c43.tar.gz
test-media: drop vidtv from mc, but warn if MC is disabled for DVB
The vidtv test requires CONFIG_MEDIA_CONTROLLER_DVB=y, so drop this from the 'mc' target and if vidtv is explicitly selected as target, then verify (if possible) that this config option is set. Signed-off-by: Hans Verkuil <hverkuil-cisco@xs4all.nl>
-rwxr-xr-xcontrib/test/test-media17
1 files changed, 15 insertions, 2 deletions
diff --git a/contrib/test/test-media b/contrib/test/test-media
index 888eabb2..4b6276c8 100755
--- a/contrib/test/test-media
+++ b/contrib/test/test-media
@@ -61,7 +61,7 @@ if [ -z "$1" ]; then
echo "vidtv: test the vidtv driver"
echo "cec: adds the vivid CEC compliance tests, 'cec-pwr' adds the CEC standby/wakeup tests."
echo "all: equals 'vivid vim2m vimc vicodec vidtv cec cec-pwr'"
- echo "mc: equals 'vivid vim2m vimc vicodec vidtv'"
+ echo "mc: equals 'vivid vim2m vimc vicodec'"
exit 0
fi
@@ -112,7 +112,6 @@ while [ ! -z "$1" ]; do
cecpwr=
;;
mc)
- vidtv=1
vivid=1
vim2m=1
vimc=1
@@ -143,6 +142,20 @@ while [ ! -z "$1" ]; do
shift
done
+if [ $vidtv -eq 1 ]; then
+ if [ ! -f /proc/config.gz ]; then
+ if cat /proc/config.gz | gunzip | grep -q CONFIG_MEDIA_CONTROLLER_DVB=y ; then
+ echo vidtv cannot be tested since CONFIG_MEDIA_CONTROLLER_DVB is not enabled
+ exit 0
+ fi
+ elif [ -f .config ]; then
+ if ! grep -q CONFIG_MEDIA_CONTROLLER_DVB=y .config ; then
+ echo vidtv cannot be tested since CONFIG_MEDIA_CONTROLLER_DVB is not enabled
+ exit 0
+ fi
+ fi
+fi
+
if [ $unload -eq 1 ]; then
test-media-unload.pl
dmesg -n notice